{%if lxdConfig is defined %}
{% set lxcMac = lxdConfig['macprefix'] | default('de:ad:be:ef') + ":" + lxcItem | hash('md5') | regex_replace('^([0-9a-f]{2}).*([0-9a-f]{2})$', '\\1:\\2') %}
{% else %}
{% set lxcMac = "de:ad:be:ef:" + lxcItem | hash('md5') | regex_replace('^([0-9a-f]{2}).*([0-9a-f]{2})$', '\\1:\\2') %}
{% endif %}
lxc.network.type = veth
lxc.network.hwaddr = {{ lxcMac }}
lxc.network.flags = up
lxc.network.link = {{ hostvars[lxcItem]['lxdConfig']['bridge'] | default('br0') }}
lxc.arch = amd64
lxc.utsname = {{ lxcItem.split('.')[0] }}
lxc.tty = 1

lxc.mount.entry=/usr/portage usr/portage none ro,bind,create=dir 0 0
lxc.mount.entry=/usr/local/fnordpipe-overlay usr/local/fnordpipe-overlay none ro,bind,create=dir 0 0
lxc.mount.entry=/usr/portage/distfiles usr/portage/distfiles none rw,bind,create=dir 0 0
lxc.mount.entry=/usr/portage/packages usr/portage/packages none rw,bind,create=dir 0 0

lxc.include = /usr/share/lxc/config/gentoo.common.conf
